Subject: Pine crash & message loss

From: Mike Stok <[email-masked]>
Date: Tue, 1 Jun 1993 10:27:31 -0400 (EDT)

Hi,

my boss has just had a crash sending some mail with pine 3.07 on a
Sparcstation running SunOS 4.1.1, IDA sendmail, using DNS to resolve
addresses.  The tail of the .pine-debug file is below.

His main gripe was that after the crash he couldn't resurrect the message,
and I had a look around under his home and mail directories and in /tmp
and couldn't find any temporary files which looked like his mail.  The
mail hadn't been appended to the sent-mail folder.

I am wondering how easy it would be to make Pine 'safer' in the event of a
crash, or where I should look for his message's corpse?

This is our first 'major' problem in more than a year of Pine use.

Mike

  -----  MAIL VIEW  -----
Want_to read: y (121)
Error reopening /tmp/pine-print-output-313 to get results: Invalid argument

 ---- MAIL INDEX ----
Doing checkpoint
IMAP 8:4 6/1 mm_log babble: Check completed

    ---- COMPOSE SCREEN (not in pico yet) ----
Want_to read: y (121)

 === send called === 
Address book opened with 52 items
Sorting by arrival
new win size -----<24 80>------
about to end_tty_driver
Pine Panic: Received abort signal

-- 
The "usual disclaimers" apply.    | Meiko
Mike Stok                         | Reservoir Place
[email-masked]     | 1601 Trapelo Road
Meiko tel: (617) 890 7676         | Waltham, MA 02154